Skip to main content
PUT
/
v2
/
auto-monitor-setups
/
{external_id}
Update an auto monitor setup by external ID
curl --request PUT \
  --url https://api.traceloop.com/v2/auto-monitor-setups/{external_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "evaluators": [
    "hallucination",
    "toxicity"
  ],
  "selector": {}
}
'
import requests

url = "https://api.traceloop.com/v2/auto-monitor-setups/{external_id}"

payload = {
    "evaluators": ["hallucination", "toxicity"],
    "selector": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({evaluators: ['hallucination', 'toxicity'], selector: {}})
};

fetch('https://api.traceloop.com/v2/auto-monitor-setups/{external_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "created_at": "<string>",
  "env_project_id": "<string>",
  "evaluators": [
    {
      "binding_id": "<string>",
      "error_message": "<string>",
      "evaluator_id": "<string>",
      "evaluator_type": "<string>",
      "input_schema": [
        {
          "name": "<string>",
          "description": "<string>",
          "enum_values": [
            "<string>"
          ],
          "label": "<string>"
        }
      ],
      "output_schema": [
        {
          "name": "<string>",
          "description": "<string>",
          "enum_values": [
            "<string>"
          ],
          "label": "<string>"
        }
      ],
      "processed_at": "<string>",
      "status": "<string>"
    }
  ],
  "external_id": "<string>",
  "id": "<string>",
  "init_rules": [
    {
      "key": "<string>",
      "source": "<string>",
      "value": "<string>",
      "value_type": "<string>"
    }
  ],
  "org_id": "<string>",
  "project_id": "<string>",
  "status": "<string>",
  "updated_at": "<string>"
}
{
  "error": "error message"
}
{
  "error": "error message"
}
{
  "error": "error message"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_id
string
required

Auto monitor setup external ID

Body

application/json

Fields to update

evaluators
string[]

List of evaluator slugs to run on matched spans

Example:
["hallucination", "toxicity"]
selector
object

Map of span attributes to filter which spans this monitor applies to. Keys are span attribute names (e.g. gen_ai.system, gen_ai.request.model) and values can be strings, numbers, or booleans. Example: {"gen_ai.system": "openai", "gen_ai.request.model": "gpt-4o", "gen_ai.request.max_tokens": 1000}

Response

OK

created_at
string
env_project_id
string
evaluators
object[]
external_id
string
id
string
init_rules
object[]
org_id
string
project_id
string
status
string
updated_at
string